#!/usr/bin/env bash

datadir=$1

cat >runt4.sh <<EOF
#!/usr/bin/env bash
#PBS -l nodes=1:ppn=1
#PBS -l walltime=360000
#PBS -e /dev/null
#PBS -o /dev/null
cd \$PBS_O_WORKDIR

./t4 \$F/ud >\$F/gridfit
./getHessianNonlethal  \$F/ud \$(head -n 1 \$F/gridfit | awk '{print \$1,\$2,\$3,\$4}') >\$F/hessian
./minimizeExp \$F/ud \$F/fitexp.binary 1 >\$F/fit-exp.txt
EOF

for i in ${datadir}/*
do
    qsub -v F=$i -N $(basename $i)_full runt4.sh
done
