#!/usr/bin/env bash

for emfile in alignedEM0.9/*; do
    tf=$(basename $emfile)
    echo $tf
    mkdir -p data/${tf}/samples
    mkdir -p data/${tf}/ud

    for i in $(seq 1 64); do 
        ./shuffleHalf.sh rawSites0.9/$tf >data/${tf}/samples/$i; 
        ./genDataUnnormed.py totIntergenic data/${tf}/samples/$i $emfile 16384 >data/${tf}/ud/$i; 
    done
done
