#!/usr/bin/env python2
import sys

def loadSites(fn):
    with open(fn) as f:
        lines = f.readlines()    
    
    regulated = []
    for l in lines:
        parts = l.split()
        gene, pos, dist = parts[:3]
        seqs = eval(" ".join(parts[3:]))
        regulated.append((gene, pos, dist, seqs))
    return regulated

def main():
    regsites = loadSites(sys.argv[1])
    sites = [sites['recomputed'].strip() for gene, pos, dist, sites in regsites]
    print "\n".join(sites)

if __name__ == '__main__':
    main()

